/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Context Menus\OpenBankEntry.cs
Lines of code: 31
***********************************************************/


using System;
using Server.Items;
using Server.Mobiles;

namespace Server.ContextMenus
{
	public class OpenBankEntry : ContextMenuEntry
	{
		private Mobile m_Banker;
		private Mobile m_From;

		public OpenBankEntry( Mobile from, Mobile banker ) : base( 6105, 12 )
		{
			m_Banker = banker;
			m_From=from;
		}

		public override void OnClick()
		{
			if ( !Owner.From.CheckAlive() || !BaseVendor.IsValidActRange(m_Banker,m_From))
				return;

			if ( Owner.From.Criminal )
			{
				m_Banker.Say( 500378 ); // Thou art a criminal and cannot access thy bank box.
			}
			else
			{
				BankBox box = this.Owner.From.BankBox;

				if ( box != null )
					box.Open();
			}
		}
	}
}